Bug 1433919 - [nextcloud] version 11.0.2 is available [NEEDINFO]
Summary: [nextcloud] version 11.0.2 is available
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud   
(Show other bugs)
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1471052 (view as bug list)
Depends On: php-symfony3 php-swiftmailer6 php-stecman-symfony-console-completion icewind/searchdav php-icewind-smb2
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-20 11:35 UTC by James Hogarth
Modified: 2019-02-04 06:39 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-30 23:39:10 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cglombek: needinfo? (james.hogarth)
mwp.junk: needinfo? (james.hogarth)
mwp.junk: needinfo? (cglombek)


Attachments (Terms of Use)

Description James Hogarth 2017-03-20 11:35:16 UTC
Description of problem:
Update to nextcloud 11

The dependencies that need updating/packaging to do this are:

php-composer(sabre/dav)  >= 3.2.0
php-composer(symfony/console) >= 3.0.0
php-composer(symfony/event-dispatcher) >= 3.0.0
php-composer(symfony/routing) >= 3.0.0
php-composer(symfony/process) >= 3.0.0
php-composer(stecman/symfony-console-completion) >= 0.7.0

The symfony updates are being handled in package review request bz#1431298

Others to be progressed separately

Comment 1 Didier 2017-04-20 08:37:21 UTC
(much appreciating the hard work of all involved)


With Nextcloud 12 around the corner, what is a reasonably conservative expected timeline for a Fedora/EPEL NC11 release ?


Rationale :
we are in the process of setting up a federated cloud ; the other members already running Nextcloud 11 for a couple of months, we may be forced to finally drop the current Nextcloud 10 RPM incarnation, and fast forward to current upstream github releases.

Comment 2 Ola Thoresen 2017-05-22 20:28:31 UTC
Nextcloud 12 was released today.
Any chance of an upgrade of the packages, or should we go for a manual install?

Comment 3 Simeon 2017-08-04 03:18:28 UTC
sabre-dav 3.2 and symfony 3 are in rawhide by now. I have not fount symfony-console-completion in the repos though ...

Comment 4 Christian Glombek 2017-08-05 15:33:42 UTC
A timeline projection for a v12 release would be highly appreciated from my side, too.

What are the steps to take till this can happen and what can the community do to help?

I'd like to help with the creation and packaging of modulemds and containers for Fedora's Modularity effort.

I am also in favour of dropping upgrade support for versions below 12 if that is necessary to speed things up. We could support upgrades anew from version 12, with releases happening in a timely fashion, shortly after upstream.

FYI, there is a new dist-git interface: 
https://src.fedoraproject.org/rpms/nextcloud

Comment 5 Jan Kurik 2017-08-15 09:27:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 6 William Moreno 2017-08-15 23:52:00 UTC
Any update here? I can help in the {packaging, review} of missing dependencies.

Comment 7 Christian Glombek 2017-08-22 18:53:23 UTC
For version 12.0.2 following deps are required that are not currently in f27:

php-composer(icewind/searchdav) >= 0.3.1
php-composer(icewind/smb) >= 2.0.0
php-composer(stecman/symfony-console-completion) >= 0.7.0
php-composer(swiftmailer/swiftmailer) >= 6.0.1

Comment 8 Christian Glombek 2017-08-22 19:43:26 UTC
FYI 
I have updated the RPM spec to version 12, however I am not in the packagers group, yet, so I can't push to my fork on src.fedoraproject.org right now. Will begin the new-packager process soon.

In the meantime please review the changes here:
https://github.com/LorbusChris/nextcloud-rpm/commit/4cf9a553de95dd7d99a042de73b0c4b79346be57

COPR Builds (failing due to missing deps, see above):
https://copr.fedorainfracloud.org/coprs/lorbus/nextcloud/monitor/

Comment 9 Christian Glombek 2017-08-24 19:14:21 UTC
Regarding the missing deps: I believe

php-composer(swiftmailer/swiftmailer) >= 6.0.1

is not a hard requirement and the previous version 5.4.8, which is available, can be safely used.

If anybody could help with bringing in the remaining deps or reviewing the spec, that'd be huge.
I think regarding the patches, they ought to be updated and generally reviewed for missing docs/links to upstream issues.

Sorry for spam everyone.

Comment 10 Didier 2017-08-24 20:08:48 UTC
Christian,

This may not be entirely appropriate in a bugzilla entry, but nevertheless :
to you, James and everyone else involved, thank you for the sustained effort.

Comment 11 Patrick Pichon 2017-09-06 09:14:56 UTC
Any update ! Can we help ?

Comment 12 Christian Glombek 2017-09-08 05:40:36 UTC
Packaging of the missing php dependencies would be a great help :)

php-composer(icewind/searchdav) >= 0.3.1
php-composer(icewind/smb) >= 2.0.0
php-composer(stecman/symfony-console-completion) >= 0.7.0

Comment 13 Michael 2017-10-01 16:17:25 UTC
Any update for nextcloud 12 ?

Can we notify Remi Collet to update php-icewind-smb to the latest version, required by NC 12. (https://bodhi.fedoraproject.org/updates/FEDORA-2015-16294)


Also for php-swiftmailer update to latest version (https://bodhi.fedoraproject.org/updates/FEDORA-2017-e74bb80eb0)

Comment 14 Remi Collet 2017-10-04 06:54:41 UTC
Notice: I don't plan to update dependency to new major version (ex: php-icewind-smb), because of new API (BC break), so new packages are needed (ex: php-icewind-smb2) installed in a separate tree.

We already have lot of such packages (ex, see php-justinrainbow-json-schema, php-justinrainbow-json-schema4, php-justinrainbow-json-schema5).

Later, the old version, when no more used can be retired.

Comment 15 Michael 2017-10-23 21:14:24 UTC
Remmi Collet & Shawn Iwinski already has prepared the package of php-composer(swiftmailer/swiftmailer) = 6.0.2.

Thanks!


Packaging of the missing php dependencies would be a great help, if you can!

php-composer(icewind/searchdav) >= 0.3.1
php-composer(icewind/smb) >= 2.0.0
php-composer(stecman/symfony-console-completion) >= 0.7.0


We have stuck with version 10 and i hope the package for nextcloud 12 to be prepared soon.  :)

Comment 16 Brad 2017-11-11 01:22:46 UTC
I'll just note that the nextcloud release has, in the past (I'm looking at the spec file for version 10), *not* been blocked by missing/unmet php-composer(*) dependencies, since the nextcloud release tarfile bundles all of its dependent composer modules. For those that happen to also exist in the distribution, the spec file repoints the dependency from the bundled copy to the distribution copy (creating the package dependency, deleting the bundled copy from the tarfile source, and hacking the autoload files).  The result is a mix of bundled and distribution php-composer modules.

Is the intention for nextcloud-12 to remove *all* the bundled third party php code?  If not, then why not just release it as it is distributed by nextcloud, with the dependencies bundled in?  They're not that big, and the packaging becomes radically simpler.  In the very worst case, one loses a bit of common code sharing.  On the upside, one is guaranteed to have the system exactly as it was QA'd by nextcloud. 

Just a thought.

Comment 17 Scott Williams 2017-11-20 18:49:49 UTC
Brad,

In that case, I wonder if it might be worthwhile to package the code core in flatpak instead of RPM?  That way there would be less confusion about the relationship between system and bundled-app dependencies.

Comment 18 mark preston 2017-12-05 19:30:33 UTC
Hi, the actually latest stable release is 12.0.4.  i don't care what the next verion is on fedora just as long as i can upgrade my 10.0.4 version to it.

Comment 19 Marcin Trendota 2017-12-05 22:09:54 UTC
I decided to build my own package - it's dirty and doesn't comply with Fedora (and CentOS as it's designed for CentOS) guidelines, but it's almost works (;)

Comment 20 Marcin Trendota 2017-12-05 22:11:30 UTC
It is almost working...

Comment 21 Michael 2017-12-06 08:50:36 UTC
Remi waits for over a month someone to review the remaining 2 dependency  packages:
(https://bugzilla.redhat.com/show_bug.cgi?id=1508324) and (https://bugzilla.redhat.com/show_bug.cgi?id=1508332)
so James or Christian proceed packaging with latest Nextcloud (12.0.4)

Comment 22 William Moreno 2017-12-06 13:42:31 UTC
I have taken those tickets and will review then, any other dependency missing?

Comment 23 Claudio Rodrigo Pereyra DIaz 2017-12-07 19:14:37 UTC
(In reply to Christian Glombek from comment #4)
> A timeline projection for a v12 release would be highly appreciated from my
> side, too.
> 
> What are the steps to take till this can happen and what can the community
> do to help?
> 
> I'd like to help with the creation and packaging of modulemds and containers
> for Fedora's Modularity effort.
> 
> I am also in favour of dropping upgrade support for versions below 12 if
> that is necessary to speed things up. We could support upgrades anew from
> version 12, with releases happening in a timely fashion, shortly after
> upstream.

We could create repos copr that host the necessary versions for the upgrade path, for the cases in which someone wants to update from an old version.
In the wiki we could indicate the necessary steps to use repos copr for the upgrade path.
In the spec we could indicate that the newer version conflicts with the versions that are not the previous one that allows to follow the upgrade path.

It's an idea.

> 
> FYI, there is a new dist-git interface: 
> https://src.fedoraproject.org/rpms/nextcloud

Comment 25 Medic Momcilo 2018-01-04 21:22:29 UTC
*** Bug 1471052 has been marked as a duplicate of this bug. ***

Comment 26 Michael 2018-01-12 08:45:46 UTC
Any update for nextcloud 12 ?

Remmi Collet, Shawn Iwinski & William Moreno had prepared all the missing php dependencies.

Comment 27 Russell Odom 2018-01-20 12:27:35 UTC
Just to mention that migrations from OwnCloud to NextCloud are currently blocked by bug 1471469. We presumably don't want to continue to block migration paths, so bug 1444007 (update to OC 10) would be required before updating to NextCloud 12.

Comment 28 Christian Glombek 2018-02-04 22:11:30 UTC
We need to make sure the patches made to the dependencies in NextCloud are also included either in the NC package, or in the packages themselves (probably better). Luckily this is well documented here:

https://github.com/nextcloud/3rdparty/blob/v12.0.5/patches.txt

Comment 30 Christian Glombek 2018-02-08 05:52:41 UTC
https://github.com/LorbusChris/nextcloud-rpm/pull/3

Spec reviews and help with the remaining TODOs on the PR are very welcome! :)

Comment 31 Michael 2018-03-02 13:33:03 UTC
FYI

Christian has done some work for NC 13 !

https://src.fedoraproject.org/rpms/nextcloud/pull-request/3

Comment 32 Christian Glombek 2018-03-05 14:17:57 UTC
Thanks for sharing Michael :)

Maintainers, please respond either over there on src.fp.o, here or by mail. 
I'd like to sort this out asap.

Comment 33 Michael 2018-03-24 09:43:25 UTC
Any progress for NC 13 ?

Can any of the maintainers look the work Christian do, preparing the package for NC ? 

It's a over a month when Christian has finished the work and need someone to review it.

Comment 34 George Nikandrov 2018-04-15 22:40:05 UTC
So, nextcloud is close to being unmaintained?

Comment 35 Michael 2018-04-24 10:22:17 UTC
There is no response from James for over 5-6 months now.

Who else can review Christian work with NC 13 packages ?

Comment 36 Christian Glombek 2018-05-01 19:26:25 UTC
There has been a discussion on the mailing list recently:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/NQHLQ43MJJTC5BPYRIUZOHUV3FJINBOT/

Comment 37 Michael 2018-06-19 05:44:44 UTC
Any progress on NC packages ?

Comment 38 mwp.junk 2018-06-19 15:12:29 UTC
NC 10 was released 08/25/2016 and is EOL. NC 11 is already EOL, and NC 12 will be EOL in just a few short months, August of this year when NC 14 gets released.

https://github.com/nextcloud/server/wiki/Maintenance-and-Release-Schedule

10.0.4 isn't even the latest 10.0.x version, its 10.0.6.

Also, NC 10.0.4 won't even run on Fedora 28, you need to manually fix this issue: https://github.com/nextcloud/server/pull/5072

With all due respect to James Hogarth for doing an amazing job taking over owncloud and initiating Nextcloud support with Fedora, something seriously needs to be done. If James doesn't have the bandwidth, maybe let Christian take over?

Comment 39 mwp.junk 2018-08-04 00:13:19 UTC
Nextcloud 14 is nearing release 2018-08-29... 26 days. NC 12 will be EOL'd in Nov. James? Christian?

Comment 40 Christian Glombek 2018-08-13 12:38:40 UTC
I've been getting some missing deps for NC14 packaged and reviewed. I think we should probably remove and deprecate NC10 or whatever is in the repos right now and then get NC14 in again. There won't be an upgrade path then, but packaging all the missing versions in between is not something I am interested in.

I will revive the mailing list thread (https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/NQHLQ43MJJTC5BPYRIUZOHUV3FJINBOT/) again once I find a little time.

Comment 42 Michael 2018-11-04 08:53:17 UTC
Upgrading Fedora F27 -> F29, nextcloud upgrades also to NC 10.0.4 (NC 13 -> NC10) !

I cannot reinstall NC 13 from Christian Repo because of this error :

Failed to synchronize cache for repo 'lorbus-nextcloud', ignoring this repo.

Comment 43 Daniel Laczi 2018-11-04 09:59:43 UTC
Hi Michael,

Whatever the solution for the repo problem is you need to keep in mind that it is not supported to skip major releases when upgrading: https://docs.nextcloud.com/server/13/admin_manual/maintenance/upgrade.html This means your upgrade path needs to be 10 -> 11 -> 12 -> 13 -> 14.

Comment 44 Michael 2018-11-04 12:25:55 UTC
In Fedora 27 i had NC 10.0.4 from Fedora Repo, when i saw Christian effort for NC 13. 
I delete NC 10 as Christian said he can't support all the upgrade path (NC 10-> 11 -> 12 -> 13) and i installed the NC 13 from Christian Repo.

When i decide to upgrade to F29 from F27 (i skip the F28 because of NC), when the upgrade finished the NC reverted to NC 10.0.4 from Fedora Repo !

When i try to reinstall NC 13 from Christian Repo i 've got this error :

"Failed to synchronize cache for repo 'lorbus-nextcloud', ignoring this repo."

Comment 45 mwp.junk 2018-11-05 16:45:18 UTC
(In reply to Michael from comment #44)
> In Fedora 27 i had NC 10.0.4 from Fedora Repo, when i saw Christian effort
> for NC 13. 
> I delete NC 10 as Christian said he can't support all the upgrade path (NC
> 10-> 11 -> 12 -> 13) and i installed the NC 13 from Christian Repo.
> 
> When i decide to upgrade to F29 from F27 (i skip the F28 because of NC),
> when the upgrade finished the NC reverted to NC 10.0.4 from Fedora Repo !
> 
> When i try to reinstall NC 13 from Christian Repo i 've got this error :
> 
> "Failed to synchronize cache for repo 'lorbus-nextcloud', ignoring this
> repo."

While Chris' COPR web page advertises F27, F28, F29, and Rawhide repo support, it only has F27, F28, and Rawhide repos setup. F29 repo doesn't exist which is why you're getting the error you are.

Second, the only repo that has a built Nextcloud 13 RPM is F27. If you updated to F28 / F29, I'd say you're out of luck unless you want to take his NC 13 src rpm from the F27 repo and try to manually build it on F29.

Finally, the last successful build of NC 13 on F27 was 8 months ago. There was an attempt 7 months ago but it failed.

Comment 46 Ben Cotton 2018-11-27 13:39:48 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 47 Ben Cotton 2018-11-30 23:39:10 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 48 Michael 2018-12-16 08:37:37 UTC
Another Nextcloud Release ....


Nextcloud 15 goes social, enforces 2FA and delivers a new generation real-time document editing December 10, 2018
https://nextcloud.com/blog/nextcloud-15-goes-social-enforces-2fa-and-gives-you-a-new-generation-real-time-document-editing/

And Fedora package have stuck with version 10 !

It's time to find another solution for NC...

Comment 49 jack.ponting 2019-02-04 06:39:03 UTC
Much appreciate the expert who created new version of nextcloud and also provide here attachment of it. Its help many students who are beginners in information technology. 

Jack,
Business assignment expert - http://www.qualitydissertation.co.uk/business-assignment-help, who write top quality assignment at Quality Dissertation in UK.


Note You need to log in before you can comment on or make changes to this bug.